Subject: how to apply patch in the middle

From: bill lam <[email-masked]>
Date: Thu, 15 Jan 2009 09:35:35 +0800

I want to change history to rewrite

  - A - B - C - D - E - ..
 
as

 - A - C' - D - E - ..

because rebase/squash cannot automatically resolve conflicts, I
generate a patch file from A to C

  git diff A C >pat

However I don't know how apply this patch and cancel the old B and C.
Sorry for this newbie question.

-- 
regards,
====================================================
GPG key 1024D/4434BAB3 2008-08-24
gpg --keyserver subkeys.pgp.net --recv-keys 4434BAB3
唐詩008 杜甫  望嶽
    岱宗夫如何  齊魯青未了  造化鍾神秀  陰陽割昏曉
    盪胸生層雲  決眥入歸鳥  會當凌絕頂  一覽眾山小